Add time to a time spent

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/tasks/{task_id}/time-spents/{date}/persons/{person_id}/add

Add a duration to the time spent of a person on a task for a date. If the time spent does not exist, the route creates it. An administrator can add time for all the persons. For other users, the person must be an assignee of the task. The person can add time for themselves. A manager of the project can add time for the assignees. You cannot add time for a bot, except when the project enables bot collaboration.

Path parameters

  • task_id string(uuid) Required

    Unique identifier of the task

  • date string(date) Required

    Date in the YYYY-MM-DD format

  • person_id string(uuid) Required

    Unique identifier of the person

application/json

Body Required

  • duration number

Responses

  • 201 application/json

    The updated time spent

    Hide response attributes Show response attributes object
    • id string(uuid)
    • task_id string(uuid)
    • person_id string(uuid)
    • date string(date)
    • duration number
    • created_at string(date-time)
  • 400

    The date or the duration is not valid

  • 403

    The person is not an assignee of the task, you cannot add time for this person, or the person is a bot

  • 404

    The task or the person does not exist

POST /actions/tasks/{task_id}/time-spents/{date}/persons/{person_id}/add
curl -X POST "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25/add" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "duration": 30
}'
import requests

url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25/add"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "duration": 30
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "duration": 30
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "task_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "date": "2022-07-12",
  "duration": 150,
  "created_at": "2024-01-15T10:30:00Z"
}